<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fzm.mall.server.admin.order.mapper.OrderDetailMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.fzm.mall.server.admin.order.model.OrderDetail">
        <id column="id" property="id"/>
        <result column="oid" property="oid"/>
        <result column="goods_id" property="goodsId"/>
        <result column="sku_id" property="skuId"/>
        <result column="name" property="name"/>
        <result column="coin" property="coin"/>
        <result column="number" property="number"/>
        <result column="amount" property="amount"/>
        <result column="bp_name" property="bpName"/>
        <result column="bp_number" property="bpNumber"/>
        <result column="seller_state" property="sellerState"/>
        <result column="buyer_state" property="buyerState"/>
        <result column="note" property="note"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
    </resultMap>

</mapper>
